1002:9552 [Compaq Presario CQ61-320EG Notebook PC] CPU Overheating with ATI driver Radeon HD Mobility graphics

Bug #1080350 reported by David Ayers on 2012-11-18
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Confirmed
High
xserver-xorg-video-ati (Ubuntu)
Low
Unassigned

Bug Description

Ever since upgrading from Maverick (with GNOME Classic) to Precise (using Unity 2D since using the default Unity makes the situation worse) my note book regularly overheats with normal usage:

I've been regularly using:
echo low | sudo tee /sys/class/drm/card0/device/power_profile

I've am also using psensor to warn me if the temperature rises above 92°. When 'idle' the temperature is at about 80°. If the CPU is used (merely starting eclipse and letting all the the startup validation processes finish) it quickly rises to 88°. If the usages is sustained (rebuilding a java project) the temperature oscillates between 95° and 98°. If I do anything else that adds to the load (ie. if the temperature is >98° for short period of time), the system freezes, but the everything remains on, fans and CPU temperature stays up. I need to turn off the notebook by keeping the power button pressed.

Note that this system overheats /with/ the low power profile.

Here are some general stats about this system, please let me know, if I can provide further information:

This started after the upgrading from Maverick. I'm currently running Precise with the 2D Unity desktop.

WORKAROUND: sudo apt-get -y install gnome-applets && sudo cpufreq-selector --cpu=0 --governor=powersave && sudo cpufreq-selector --cpu=1 --governor=powersave

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xserver-xorg-video-radeon 1:6.14.99~git20111219.aacbd629-0ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-33.52-generic 3.2.31
Uname: Linux 3.2.0-33-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu14
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,compiztoolbox,grid,resize,snap,vpswitch,move,mousepoll,wall,place,imgpng,gnomecompat,unitymtgrabhandles,regex,session,animation,fade,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: None
Date: Sun Nov 18 14:30:50 2012
DistUpgraded: 2012-04-29 09:57:42,118 DEBUG enabling apt cron job
DistroCodename: precise
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes,
GraphicsCard:
 Advanced Micro Devices [AMD] nee ATI RV710 [Mobility Radeon HD 4300 Series] [1002:9552] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:3652]
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Hewlett-Packard Presario CQ61 Notebook PC
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.2.0-33-generic root=/dev/mapper/vg--hostname-lv--ubuntu ro vga=795 quiet splash vt.handoff=7
SourcePackage: xserver-xorg-video-ati
UpgradeStatus: Upgraded to precise on 2012-04-29 (203 days ago)
dmi.bios.date: 10/10/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.07
dmi.board.name: 3652
dmi.board.vendor: Quanta
dmi.board.version: 42.14
dmi.chassis.type: 10
dmi.chassis.vendor: Quanta
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.07:bd10/10/2009:svnHewlett-Packard:pnPresarioCQ61NotebookPC:pvr0392100000210D10000020000:rvnQuanta:rn3652:rvr42.14:cvnQuanta:ct10:cvrN/A:
dmi.product.name: Presario CQ61 Notebook PC
dmi.product.version: 0392100000210D10000020000
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.7.8-0ubuntu1.4
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.4-0ubuntu0.2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.4-0ubuntu0.2
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.8
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
---
.tmp.unity.support.test.0:

ApportVersion: 2.12.7-0ubuntu6
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
DistUpgraded: Fresh install
DistroCodename: trusty
DistroRelease: Ubuntu 14.04
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] RV710/M92 [Mobility Radeon HD 4330/4350/4550] [1002:9552] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:3652]
InstallationDate: Installed on 2014-01-09 (0 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140109)
MachineType: Hewlett-Packard Presario CQ61 Notebook PC
MarkForUpload: True
Package: xserver-xorg-video-ati 1:7.2.0-0ubuntu10
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-1-generic root=UUID=dcaf769c-8952-4172-96d9-da86251503c1 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-1.16-generic 3.13.0-rc7
Tags: trusty ubuntu reproducible compiz-0.9
Uname: Linux 3.13.0-1-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 05/17/2010
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.15
dmi.board.name: 3652
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 42.15
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.15:bd05/17/2010:svnHewlett-Packard:pnPresarioCQ61NotebookPC:pvr0392100000210D10000020000:rvnHewlett-Packard:rn3652:rvr42.15:cvnHewlett-Packard:ct10:cvrN/A:
dmi.product.name: Presario CQ61 Notebook PC
dmi.product.version: 0392100000210D10000020000
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.10+13.10.20131011-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.50-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.0.1-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.0.1-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.14.5-1ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu10
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.907-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu1
xserver.bootTime: Thu Jan 9 19:07:18 2014
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.14.5-1ubuntu2
xserver.video_driver: radeon

Download full text (3.7 KiB)

Forwarding this bug from Ubuntu reporter Vitaly Zawullon Katraev:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/748080

[Problem]
ATI card fan is always on with opensource radeon driver

[Original Description]
$ cat /sys/class/drm/card0/device/power_profile
low

When I use the opensource driver for my ATI card the notebook fan is always spinning and temperature of outgoing air from fan is very high, even when I set /sys/class/drm/card0/device/power_profile to low and cpu mode to powersave. With proprietary drivers (fglrx) I set video card performance to "ondemand" (I forgot the exact name of this mode in ATI control center) and cpu mode to ondemand, and the notebook isn't hot, fans are not spinning (if I don't start flash, games or some similar app with high cpu load). So with fglrx I can use the notebook on battery for 1.5 - 2 hours and it's not hot, but with the opensource driver notebook on battery is dead in 50 minutes, the fan is always on, it noise is loud, and the notebook is very hot.

DistroRelease: Ubuntu 11.04
Package: xserver-xorg-video-radeon 1:6.14.0-0ubuntu4
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic i686
NonfreeKernelModules: wl
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,imgjpeg,compiztoolbox,decor,snap,move,grid,mousepoll,regex,gnomecompat,winrules,resize,vpswitch,staticswitcher,imgpng,imgsvg,place,text,wall,shift,unitymtgrabhandles,animation,expo,session,workarounds,fade,scale,unityshell]
CompositorRunning: compiz
DRM.card0.DIN.1:
status: disconnected
enabled: disabled
dpms: On
modes:
edid-base64:
DRM.card0.LVDS.1:
status: connected
enabled: enabled
dpms: On
modes: 1280x800 1280x720 1152x768 1024x768 800x600 848x480 720x480 640x480
edid-base64: AP///////wBMo0FIAAAAAAARAQOAGhB4Cof1lFdPjCcnUFQAAAABAQEBAQEBAQEBAQEBAQEBEhsAh1AgEDAQMBMABaMQAAAZAAAADwAAAAAAAAAAACOHAmQAAAAA/gBTQU1TVU5HCiAgICAgAAAA/gAxMjFBVDAyLTAwMQogACs=
DRM.card0.VGA.1:
status: disconnected
enabled: disabled
dpms: On
modes:
edid-base64:
Date: Sat Apr 2 11:22:18 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus: bcmwl, 5.100.82.38+bdcom, 2.6.38-7-generic, i686: installed
GraphicsCard:
ATI Technologies Inc RS780M/RS780MN [Radeon HD 3200 Graphics] [1002:9612] (prog-if 00 [VGA controller])
Subsystem: Hewlett-Packard Company Device [103c:30f1]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta 1 i386 (20110329.1)
MachineType: Hewlett-Packard HP Pavilion tx2500 Notebook PC
ProcEnviron:
LANGUAGE=ru_RU:en
LANG=ru_RU.UTF-8ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic root=UUID=3f65bc34-e565-469c-bde1-e492cfd241ad ro quiet splash vt.handoff=7
Renderer: Unknown
SourcePackage: xserver-xorg-video-ati
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/18/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.0F
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 30F1
dmi.board.vendor: Quanta
dmi.board.version: 97.22
dmi.chassis.type: 10
dmi.chassis.vendor: Quanta
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.0F:bd08/18/2009:svnHewlett-Packard:pnHPPaviliontx2500Notebo...

Read more...

Created attachment 45876
BootDmesg.txt

Created attachment 45877
CurrentDmesg.txt

Created attachment 45878
XorgLog.txt

I, too, suffer from this exact problem with an ATI Radeon HD 4200 (on a Dell Inspiron M301Z). Do you need any information to help you?

Tobias Lipper made on the downstream Fedora bugs these comments which shouldn't be lost IMHO in the mist of time:

I found a patch in the upstream kernel that fixes the termal reading for amd
juniper cards. This could be the source of the error.

I am not so familiar with kernel development, but I will try the patch and see
if it fixes the problem.

http://git.kernel.org/?p=linux/kernel/git/next/linux-next.git;a=blobdiff;f=drivers/gpu/drm/radeon/evergreen.c;h=8f446aadccd660f49854d4aadad109bdd559f95d;hp=34cd5a878088b19f65a87cffd9c491cdd31ae0c2;hb=67b3f823ec78d08aea8835bce2655674237abc1d;hpb=457558eda1545c22163574f6dbb883394705e9dd

----------------------------

I could apply the patch and the module compiles fine, but I found that

su -c 'echo low > /sys/class/drm/card0/device/power_profile'

fixes the problem even without the patch. (at least it turns down the fan to
regular)

See the "KMS Power Management Options" section of this page:
http://wiki.x.org/wiki/RadeonFeature

(In reply to comment #6)
> See the "KMS Power Management Options" section of this page:
> http://wiki.x.org/wiki/RadeonFeature

I have Mobility Radeon HD 3650 and I'm seeing this problem aswell.

The default power_profile called "default" makes the laptop overheat and causes emergency thermal shutdowns and crashes.

This happens at least with Linux 2.6.35, 2.6.38 and 3.0.0. I've tried with Fedora 14, 15 and 16 alpha.

Changing the power_profile to "low" makes the temperature go down at least 10-20 degrees celsius.

Any idea why the default profile doesn't work?

dynpm echo> / sys/class/drm/card0/device/power_method
dynamically changes the frequency, but act like it was moving between mid and high

If there were an option, in addition, similar to dynpm but that could change from low to mid / high this might solve the problem

of course I meant to write the command

echo dynpm > / sys/class/drm/card0/device/power_method

Hello everybody,
I saw two bugs which are a bit related to each other to my knowledge.
I decided to post my comment in this bug report.
My laptop a MSI GX623 equipped with an Ati Mobility Radeon HD4670.
The problem has been around from the moment I bought my computer (5 Dec. 2009).
Currently I'm using Ubuntu 11.10, with Xorg-edgers ppa and kernel version 3.1-rc4.
When the computer is cleanly installed the power profile of the video card is always defaulted to default.
When leaving it on this profile, and not even touching my laptop the computer starts overheating, and after 10 to 15 minutes powers down due to thermal protection.

To solve my problem I started to experiment with some power management settings.
Using dynpm is no option for me at this moment, because of the flickering screen bug.
So I've experimented with some other power management options.
First I tried auto, with this my laptop doesn't overheat when nothing is running. When I start some task which makes use of the video-card, my computer switches to high profile, and starts overheating again with the same problem mentioned above.
Also when forced to profile high my computer overheats and shuts down.
In the forced mid profile the computer can be used without problems, but again when using the laptop for example to watch a movie, my computer overheats again and shuts down.
The only profile in which I don't have problems is low, but then my video card is clocked down to minimal capability.
Hopefully the developers can make use of my findings.
Also when I need to provide some extra information, then you can just ask me what you would like me to do.
Greetings Jasper

(In reply to comment #10)
> When the computer is cleanly installed the power profile of the video card is
> always defaulted to default.
> When leaving it on this profile, and not even touching my laptop the computer
> starts overheating, and after 10 to 15 minutes powers down due to thermal
> protection.
>

Yep, the radeon default power_profile "default" is broken.

Any comments from the developers? What needs to be done to get this issue fixed?

(In reply to comment #11)
> (In reply to comment #10)
> > When the computer is cleanly installed the power profile of the video card is
> > always defaulted to default.
> > When leaving it on this profile, and not even touching my laptop the computer
> > starts overheating, and after 10 to 15 minutes powers down due to thermal
> > protection.
> >
>
> Yep, the radeon default power_profile "default" is broken.
>
> Any comments from the developers? What needs to be done to get this issue
> fixed?
>

Ping ?

Come on! At least tell us if someone is working on it, or if you need for information.

I know it's rude to spam a bug report, but I find it even worse not to give any answer to people who took the time te report and comment on the same bug report.

any progress on this?

i am getting the same problem (overheating) with a samsung e272 () as well as an acer aspire 7540G (mobility 4570) on archlinux with kernel 3.1.6 and latest git-snapshots of xf86-video-ati. furthermore, at least on archlinux the required procedure to use powersaving (setting power_profile to "low" using dynpm power_method) on these cards do not work either for various reasons (flickering, screen artifacts, all terms even tty* completely frozen).

what is required to get this one sorted out because it is simply not possible to use the open source graphics drivers with these two laptops.

i'll happily provide any information necessary.

sorry, forgot to write the ati card in the samsung e272 is a 4650.

i'm might just be adding noise, but this might also help some people...

** WARNING **

THIS CAN BREAK YOUR CARD
MY SETTINGS ARE FOR *MY* CARD, EACH CARD IS DIFFERENT
IF YOU DONT WANT TO LOSE YOUR PC, DONT EVEN TRY TO DO THIS!!
YOU HAVE BEEN WARNED!

** WARNING **

i found that my video card bios (HD2600xt, AGP, on a mid-tower) only had one power profile (high), no matter what profile i send to the /sys/class/drm/card0/device/power_profile, the /sys/kernel/debug/dri/0/radeon_pm_info stayed the same...

i tried to underclock the card with the rovclock, but it too old and doesnt support current chips...

after some research i found a windows util (sadly its windows only) that allow one to download the card bios and change the power profiles and re-upload that changed bios. It is a dangerous thing, one might brick the card with wrong settings, so i tested with one older card and tested all frequency settings in windows, using the amd/ati drivers overclock setting and all worked fine

so i tried in my main card and i backup my old firmware, prepare a boot floppy to restore it and start to change the profiles...i tried always small steps, with the low profile being the testing one and the default always the normal settings, so i could test in linux the switch between profiles and detect the problems, and fall back to the default with a simple cold boot

i keep the same boot settings (so less risk of breaking things), keep the max freq (800MHz @ 1.2V), but created a mid an lower profiles with less 1.1V and with the card running at 350MHz and 200MHz

with this changed, and running the low profile, i dropped the temperature from my card from about 80ºC to 59ºC and the card heatsink fan also run slower

of course, the card is also running slower, but i'm not using 3D and for 2D its fine. when i need more graphic power, i can manually change the power profile to high.

the url for that windows software is http://www.techpowerup.com/rbe/

now, this is a last thing we would want to do, but might help with broken card bios like mine, where the power profiles are broken or nonexistent and help people break free from the card builder settings.

also, it would be a lot better that someone created a new linux side under/overclock tool, specially using the radeon modules/drivers. Maybe this tool could help debuging and improving the power control of radeon cards in linux, but creating various profiles and comparing what changes between then.

with this maybe we could control the power profiles from linux, without messing with the card bios.

finally, and to compare, this same card, running in windows, without underclock runs idle at 53ºC and under heavy usage about 90ºC, so windows is clearly sending some type of IDLE command to the GPU that cuts power and heat usage. finding and using that GPU IDLE command would also help a lot solving this problem

again, this is dangerous, its not for everyone (you must understand how thing works and what are the risks) and requires a MS Windows usage. i have no idea if this works on laptops.

good luck
higuita

(In reply to comment #6)
> See the "KMS Power Management Options" section of this page:
> http://wiki.x.org/wiki/RadeonFeature

As written in https://bugs.freedesktop.org/show_bug.cgi?id=41762,
I have "Mobility Radeon HD3650", and as I understand it is based on R600 chipset.
The feature matrix on the RadeonFeature wiki page says all the power saving/management features are implemented for this card.

But power saving doesn't seem to work. The laptop overheats and shuts down before I even get to the LiveCD desktop/shell to be able to switch to the power_profile "low".

Do you know if this is an error on the wiki page, or a bug in the radeon driver?

(In reply to comment #17)
> (In reply to comment #6)
> > See the "KMS Power Management Options" section of this page:
> > http://wiki.x.org/wiki/RadeonFeature
>
> As written in https://bugs.freedesktop.org/show_bug.cgi?id=41762,
> I have "Mobility Radeon HD3650", and as I understand it is based on R600
> chipset.
> The feature matrix on the RadeonFeature wiki page says all the power
> saving/management features are implemented for this card.
>
> But power saving doesn't seem to work. The laptop overheats and shuts down
> before I even get to the LiveCD desktop/shell to be able to switch to the
> power_profile "low".
>
> Do you know if this is an error on the wiki page, or a bug in the radeon
> driver?

This problem seems to be specific to your system. Please make sure the heat sinks and fans are clear of dust and and that the acpi thermal zones for your system are working properly.

Hi!

The overheating of my HP Elitebook 8530p with Mobility Radeon HD 3650 video card has been bothering me for a while now, however, I've just been researching the issue today.

(In reply to comment #18)
>
> This problem seems to be specific to your system. Please make sure the heat
> sinks and fans are clear of dust and and that the acpi thermal zones for your
> system are working properly.

Alex, I can confirm this issue is not specific to his system.
I have the same laptop (HP Elitebook 8530p) with the same graphics card (Mobility Radeon HD 3650 video card - AMD RV635) and I'm also experiencing the same issues. I've also thought the issue is with the "dust carpet" around the heat fan/sink, but it is not the case. Since I bought the laptop in Nov 2008, I had to remove the dust around the heat fan/sink every half year to keep the laptop cool (the temperature dropped around 5 degrees Celsius after cleaning), so I know this could be an issue.

Only today, I managed to decrees the laptop's temperature by using the fix suggested by Pasi in bug #41762, namely switching the power_profile from "default" to "low":

[root@tlinux64 ~]# cat /sys/class/drm/card0/device/power_profile
default
[root@tlinux64 ~]# cat /sys/kernel/debug/dri/0/radeon_pm_info
default engine clock: 600000 kHz
current engine clock: 594000 kHz
default memory clock: 700000 kHz
current memory clock: 693000 kHz
voltage: 1100 mV
PCIE lanes: 16
[root@tlinux64 ~]# echo low > /sys/class/drm/card0/device/power_profile
[root@tlinux64 ~]# cat /sys/class/drm/card0/device/power_profile
low
[root@tlinux64 ~]# cat /sys/kernel/debug/dri/0/radeon_pm_info
default engine clock: 600000 kHz
current engine clock: 109680 kHz
default memory clock: 700000 kHz
current memory clock: 405000 kHz
voltage: 900 mV
PCIE lanes: 16
[root@tlinux64 ~]

As I commented in bug #41762, the system is around ~15 degrees colder now.

Alex, does this convince you that the issue is real and it should be worked on?

I've been regularly using:
echo low | sudo tee /sys/class/drm/card0/device/power_profile

I've am also using psensor to warn me if the temperature rises above 92°. When 'idle' the temperature is at about 80°. If the CPU is used (merely starting eclipse and letting all the the startup validation processes finish) it quickly rises to 88°. If the usages is sustained (rebuilding a java project) the temperature oscillates between 95° and 98°. If I do anything else that adds to the load (ie. if the temperature is >98° for short period of time), the system freezes, but the everything remains on, fans and CPU temperature stays up. I need to turn off the notebook by keeping the power button pressed.

Note that this system overheats /with/ the low power profile.

Here are some general stats about this system, please let me know, if I can provide further information:

HP Presario CQ61 320eg
AMD Turion(tm) II Dual-Core Mobile M500
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV710 [Mobility Radeon HD 4300 Series] (prog-if 00 [VGA controller])
Linux schiefer 3.2.0-33-generic #52-Ubuntu SMP Thu Oct 18 16:29:15 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
ayers@schiefer:~$ lsmod|grep rad
radeon 804503 2
ttm 76949 1 radeon
drm_kms_helper 46978 1 radeon
drm 241921 4 radeon,ttm,drm_kms_helper
i2c_algo_bit 13423 1 radeon

This started after the upgrading from Maverick. I'm currently running Precise with the 2D Unity desktop.

David Ayers (ayers) wrote :
Changed in xserver-xorg-driver-ati:
importance: Unknown → Critical
status: Unknown → Confirmed

Same situation on my Lenovo T500 Notebook with the following card:
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV635 [Mobility Radeon HD 3650]
If my Notebook is in IDLE-state the temperature stays about 75° and I hear the noise of the fan nearly all the time. Heavy load increases temp to over 90° and it will shutdown due to the overheating limits of kernel.
My workaround is switching to intel hd graphics in bios because setting power profile to low seems to be slower than using the integrated graphics adapter. Thats obviously no real solution because I want to use the full power of the ati graphics card without switching to fglrx driver.

I have the same issue with a Lenovo Thinkpad Edge 13.

robi@edge:~$ lspci|grep VGA
01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS880M [Mobility Radeon HD 4200 Series]

Also there seem to be other reports of the same issue: bug #41234, #41762, #50327, #52001, and #54791.

David Ayers (ayers) on 2012-12-18
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
summary: - Overheating AMD Turion II Dual-Core Mobile M500 ATI RV710Mobility Radeon
- HD 4300
+ CPU Overheating with ATI driver
summary: - CPU Overheating with ATI driver
+ CPU Overheating with ATI driver Radeon Mobility graphics
summary: - CPU Overheating with ATI driver Radeon Mobility graphics
+ CPU Overheating with ATI driver Radeon HD Mobility graphics

Yes, I have the same problem on Asus laptop with Mobility Radeon HD 3200 video. Operation system - Ubuntu 12.10

hi there,

i have the same problem with my Asus laptop, X5DAF, AMD Turion II @ 2.30 GHz, 4 GB RAM

elhoir@elhoir-laptop:~$ lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV710 [Mobility Radeon HD 4500/5100 Series]
elhoir@elhoir-laptop:~$

I have had this problem for years and it is the sole reason I had used the proprietary ATI driver.

Unfortunately new versions of the ATI drivers don't support my card anymore (Radeon HD 4670) so I am kind of waiting for a fix on the open source driver side ...

If you don't want to trouble yourself too much I guess there are two options. One is to use an older linux distro such as Ubuntu 12.04 or Debian 6 (CentOS 6 might fit as well). Another take is to go for something quite up-to-date such as Arch linux (help, wiki are great there) and hope for a fix to be released soon ...

I can confirm this bug also on my card:
Ati Mobility radeon HD 4500, RV710

I always had overheating problems with the opensource driver, so I used the binary driver from ATI.

Actually with the latest updates the ati-closed-driver doesn't work anymore also on ubuntu 12.04

So the only solution is to install the old LTS from Ubuntu or debian stable.

I can provide additional information about my hardware and my issue.

This bug was around from a lot of time right now and is potentially harmful about the hardware.

Can be possible to correct the bug (at least initially) forcing the driver to "low" profile? it will be less responsive but at least it will be safe to use.

Changed in xserver-xorg-driver-ati:
importance: Critical → High

I didn't get to test the Radeon driver much (stuck with fglrx due to an issue) but one of the things that bothered me is the lack of a properly adjusted fan speed. I fully support a dynamic system of adjustment.

At least with 7.0.0, the fan speed is constantly slow with the "low" profile and constantly fast with the "high" profile. Regardless of what the card is doing, how much it's heated, or how hard it's working.

My suggestion is to adjust fan speed (within a minimum and maximum range) either based on GPU / VRAM frequencies or based on card temperature when a temp sensor is available. This would be most useful with the dynpm method, so fan speed is only set to maximum when you play a game and matches the requirement.

Better power management for AMD/ATI Radeon R600 and newer hardware is finally available in the upstream 3.11 linux kernel.

For people using Ubuntu, the first release candidate (3.11-rc1) of the 3.11 kernel is available at http://kernel.ubuntu.com/~kernel-ppa/mainline/ and instructions on how to install and uninstall it are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds

Fedora users can get the 3.11-rc1 kernel from Rawhide at http://mirrors.fedoraproject.org/publiclist/Fedora/development/
For more information about using Rawhide, see https://fedoraproject.org/wiki/Releases/Rawhide?rd=Rawhide

Users of other Linux distributions will need to obtain the 3.11 kernel by other means.

For now, to use this power management for the AMD/ATI Radeon you will need to select it at boot by adding radeon.dpm=1 to your GRUB kernel boot options as described at https://help.ubuntu.com/community/Grub2/Troubleshooting#Editing_the_GRUB_2_Menu_During_Boot

Good news indeed. Will openSUSE 13.1 have the kernel with this feature? Also, is this going to be defaulted, or will we have to manually add the GRUB parameter?

Also, what exactly does this new feature do? Does it add adaptive fan speed and / or better GPU frequency selection (though that's already possible via dynpm)?

For further information see my blog post:
http://www.botchco.com/agd5f/?p=57

Thanks Alex.

I also note that at http://phoronix.com/forums/showthread.php?81666-AMD-Has-Massive-Radeon-Patch-Set-Power-Management!&p=338745#post338745 you said "DPM works fine with multiple monitors." which is great given that http://wiki.x.org/wiki/RadeonFeature/#index3h2 says that the older "dynpm" method only works when a single head is active. I presume that this also means that there is no/much less possibility of flicker on a single display configuration with DPM than with dynpm?

Regarding openSUSE 13.1, all I know is that Milestone 1 had the 3.9 kernel and Milestone 2 has the 3.10-rc4 kernel, and that the final release is scheduled for November (or Movember if you are planning to grow a moustache to raise money for mens health charities).

Yes, it works with multiple monitors and there shouldn't be any flickering as the performance level changes are handled by dedicated hardware rather than the driver.

David Ayers, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xserver-xorg-video-ati REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in xserver-xorg-video-ati (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
David Ayers (ayers) wrote :

This bug was reported against 12.04 LTS and yes I am using extra cooling right now because while the ubuntuone syncdeamon is registering it's files and deja-dup is doing it's backup the temperature still peaks at 85°( with external cooling!). So the issue still exists.

I'll try to install a current live image in a spare SSD on the weekend as requested. But isn't this a little late in the release cycle to actually fix anything for the upcoming LTS? Anyway...I will try.

David Ayers (ayers) wrote :

OK, I've installed a snapshot but I believe it may be too buggy to actually test it:
- psensor freezes when configuring the graph
- ubunutoone configuration crashes with:
KeyError
u'8e0fc793-4ee0-49e3-8a9d-38a077438bfb'
... I'll try again with tomorrow's snapshot.

tags: added: needs-full-computer-model
summary: - CPU Overheating with ATI driver Radeon HD Mobility graphics
+ 1002:9552 CPU Overheating with ATI driver Radeon HD Mobility graphics
summary: - 1002:9552 CPU Overheating with ATI driver Radeon HD Mobility graphics
+ 1002:9552 [Compaq Presario CQ61-320EG Notebook PC] CPU Overheating with
+ ATI driver Radeon HD Mobility graphics
tags: added: bios-outdated-f.15
removed: needs-full-computer-model
tags: added: regression-release

David Ayers, thank you for attempting to perform the requested test. As a potential WORKAROUND in Precise only, as fglrx is not available for your card from a Ubuntu repository after Precise, would the fglrx drivers provide a better heat profile for your hardware via https://help.ubuntu.com/community/BinaryDriverHowto/ATI#Installation_via_the_Ubuntu_repositories ?

David Ayers (ayers) wrote :

Thanks, put proprietary drivers are not a option for me. I'd rather stick with the external cooling.

Despite the error messages, the ubuntu-one files seem to by syncing now. And the psensor preference changes took effect after I killed the process and restarted it. So'll still continue test with this image. Yet it will take a few hours before enough files are synchronized to cause the ubuntuone-sync daemon to saturate the CPU after logging in.

You added a 'needs-full-computer-model' tag, yet you have added the computer model int eh summary title. Was this some automation mechanism, or do you need some more information? I will still attempt to execute the apport-collect command.

tags: added: apport-collected compiz-0.9 reproducible trusty
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

David Ayers, thank you for providing the requested information. Regarding your comments:
>"Thanks, put proprietary drivers are not a option for me. I'd rather stick with the external cooling."

Fair enough.

>"Despite the error messages, the ubuntu-one files seem to by syncing now. And the psensor preference changes took effect after I killed the process and restarted it. So'll still continue test with this image. Yet it will take a few hours before enough files are synchronized to cause the ubuntuone-sync daemon to saturate the CPU after logging in."

As a WORKAROUND, would governoring the CPU, in addition to the low power_profile provide further heat reduction via:
sudo apt-get -y install gnome-applets && sudo cpufreq-selector --cpu=0 --governor=powersave && sudo cpufreq-selector --cpu=1 --governor=powersave

>"You added a 'needs-full-computer-model' tag, yet you have added the computer model int eh summary title. Was this some automation mechanism, or do you need some more information? I will still attempt to execute the apport-collect command."

Nope, just manual mis-tag on my part.

As well, would powertop tunables provide further reduced power consumption noted in https://help.ubuntu.com/community/PowerManagement/ReducedPower ?

David Ayers (ayers) wrote :

Thanks for all the extra pointers... will try them once I get a base line for trusty. Unfortunately the standard triggers ubuntu-one & Deja-Dup may not be trivial to test. See #LP 1267590
But I'll try some other cpu intensive things... possiibly backup-manager with gpg.

Currently the temperatur is between 60°-65° while idle which is already a big improvement!

David Ayers, thank you for your quick response. One other data point that would helpful is if you test a more lightweight desktop environment (ex. Xubuntu) does this provide any further improvement?

description: updated
David Ayers (ayers) wrote :

Thanks, Christopher, but I believe most packages supported by UbuntuAdvantate subscriptions are only available under Unity.
I'd rather stick to them, mostly because I'm hoping to have less issues with default settings and applications.

David Ayers, thank you for your comment.
>"Thanks, Christopher, but I believe most packages supported by UbuntuAdvantate subscriptions are only available under Unity. I'd rather stick to them, mostly because I'm hoping to have less issues with default settings and applications."

Fair enough. We pretty much covered all the bases here on power management troubleshooting, with one seemingly to help greatly (CPU Governor) and another subject to further information to be provided (powertop tunables).

I'll mark this Triaged for now, and we can keep an eye on further developments at both the hardware/power management, and DE efficiency levels.

Thank you for your understanding.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Triaged
David Ayers (ayers) wrote :

OK so after letting ubuntuone sync finish overnight, login out and back in this morning, successfully starting deja-dup manually while ubuntuone was collecting its files, watching the making of Sintel in WebM in the browser, while installing precise via virt-manager, psensor indicated that the temperature never went above 91° and after ubuntuone finished collecting it's files, dropped to 80° while the rest was still happily using CPU. It was a but sluggish at times, indicating throttling. But it seems that with the default settings (no profile adjustments needed), the code in trusty does not overheat (esp. no lockups) can be reproduced.

I will try to work without th external cooling in precise now, to see if this still is an issue there, since there have been plenty of updates since. But I would say that the overheating issue is fixed for trusty.

Thanks!

David Ayers (ayers) wrote :

I was able to peak the temperature 96° on precise, but couldn't get it to lockup anymore. So I have to correct my original statement that the issue persists. It was based on the fact that the temperature rose rather quickly above 90° after login while duplicity was running and ubuntuone was collecting it's files. But even with a virtual machine doing some processing and watching multiple vidoes in a browser it seems that the temperature remains under 96° on precise and the CPU does not lockup anymore.

I realize that this is several years old but it's the closest match to the symptoms I'm searching.

The last comment was "it works" but my AMD 6870 based desktop card rages with fans at full speed from start up to shut down.

linux 3.18.6-1
xf86-video-ati 1:7.5.0-2

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.